LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
util.h File Reference
`#include "sal/config.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Functions
SAL_DLLPUBLIC sal_Bool | osl_getEthernetAddress (sal_uInt8 *pEthernetAddr)

## Function Documentation

SAL_DLLPUBLIC sal_Bool osl_getEthernetAddress | ( | sal_uInt8 * | pEthernetAddr | ) |

Parameters

  pEthernetAddr | 6 bytes of memory

Returns
  sal_True if the ethernetaddress could be retrieved.
  sal_False if no address could be found. This may be either because there is no ethernet card or there is no appropriate algorithm implemented on the platform. In this case, pEthernetAddr is unchanged.